routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('artist', 'ArtistController');

app/Models/Artist.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Artist extends Model
{
    protected $fillable = [
        'name', 'firstname', 'birthdate'
    ];
    //lien entre 2 tables
    public function has_directed()
    {
        return $this->hasMany('App\Models\Movie');
    }

    public function has_played()
    {
        return $this->belongsToMany('App\Models\Movie')->withPivot('role_name');
    }
}

app/Models/Movie.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Movie extends Model
{
    protected $fillable = [
        'title', 'year'
    ];
    //lien entre 2 tables
    public function director()
    {
        return $this->belongsTo('App\Models\Artist');
    }
    public function actors()
    {
        return $this->belongsToMany('App\Models\Artist');
    }
}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/ArtistController.php
<?php

namespace App\Http\Controllers;

use \App\Models\Artist;
use \App\Http\Requests\ArtistRequest;

use Illuminate\Http\Request;

class ArtistController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    //liste les entrées
    public function index()
    {
        return view('artists.index', ['artists' => Artist::paginate(1)]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('artists.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(ArtistRequest $request)
    {
        Artist::create($request->all());
        return redirect()->route('artist.create')
            ->with('ok', __('Artist has been saved'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Artist $artist)
    {
        return view('artists.edit', ['artist' => $artist]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(ArtistRequest $request, Artist $artist)
    {
        $artist->update($request->all());

        return redirect()->route('artist.index')
            ->with('ok', __('Artist has been updated'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

resources/views/artists/create.blade.php
@extends('layouts.app')

@section('title', 'Artist Name')

@section('content')
<form method="POST" action="{{ route('artist.store') }}">
  {{ csrf_field() }}
  <p>
    <label for="name">Name</label>
    <input type="text" name="name" id="name" value="" required />
    <label for="firstname">First Name</label>
    <input type="text" name="firstname" id="firstname" value="" required />
  </p>
  <button type="submit">Create</button>
</form>
@endsection

resources/views/artists/edit.blade.php
@extends('layouts.app')

@section('title', 'Artist Name')

@section('content')
<form method="POST" action="{{ route('artist.update', $artist->id) }}">
  {{ csrf_field() }}
  {{ method_field('PUT') }}
  <p>
    <label for="name">Name</label>
    <input type="text"
      name="name"
      id="name"
      value="{{ $artist->name}}" 
      required
    />
    <label for="firstname">First Name</label>
    <input 
      type="text"
      name="firstname"
      id="firstname"
      value="{{ $artist->firstname}}" 
      required
    />
  </p>
  <button type="submit">
    Create
  </button>
</form>
@endsection

resources/views/artists/index.blade.php
<table class="table table-stpied table-centered">
  <thead>
    <tr>
      <th>{{__('Name')}}</th>
      <th>{{__('First Name')}}</th>
      <th>{{__('Actions')}}</th>
    </tr>
  </thead>
  <tbody>
    @foreach($artists as $artist)
    <tr>
      <td>{{ $artist->name }}</td>
      <td>{{ $artist->firstname }}</td>
      <td>
        <a type="button" 
          href="{{ route('artist.edit', $artist->id )}}" 
          class="btn"
          data-toggle="tooltip"
          title="@lang('Edit artist') {{ $artist->name }}">
          Edit
        </a>
      </td>
    </tr>
    @endforeach

  </tbody>
</table>
  <!--pagination pour changer de page-->
  {{ $artists->appends(request()->except('page'))->links() }}

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>@yield('title')</title>

  <!-- Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

  <!-- Styles -->
  <style>
    html,
    body {
      background-color: #fff;
      color: #636b6f;
      font-family: 'Nunito', sans-serif;
      font-weight: 200;
      height: 100vh;
      margin: 0;
    }

    .full-height {
      height: 100vh;
    }

    .flex-center {
      align-items: center;
      display: flex;
      justify-content: center;
    }

    .position-ref {
      position: relative;
    }

    .top-right {
      position: absolute;
      right: 10px;
      top: 18px;
    }

    .content {
      text-align: center;
    }

    .title {
      font-size: 84px;
    }

    .links>a {
      color: #636b6f;
      padding: 0 25px;
      font-size: 13px;
      font-weight: 600;
      letter-spacing: .1rem;
      text-decoration: none;
      text-transform: uppercase;
    }

    .m-b-md {
      margin-bottom: 30px;
    }
  </style>
</head>

<body>
  <div class="flex-center position-ref full-height">
    <div class="content">
      @yield('content')

      @if (session('ok'))
      <div class="container">
          <div class="alert alert-dismissible alert-success fade show" role="alert">
              {{ session('ok') }}
              <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                  <span aria-hidden>&times</span>
              </button>
          </div>
      </div>
      @endif
    </div>
  </div>
</body>

</html>